[arch-commits] Commit in python-zope-configuration/repos/community-any (2 files)

Felix Yan felixonmars at archlinux.org
Sat Sep 29 07:38:53 UTC 2018


    Date: Saturday, September 29, 2018 @ 07:38:53
  Author: felixonmars
Revision: 387679

archrelease: copy trunk to community-any

Added:
  python-zope-configuration/repos/community-any/PKGBUILD
    (from rev 387678, python-zope-configuration/trunk/PKGBUILD)
Deleted:
  python-zope-configuration/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  110 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 55 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-09-29 07:38:41 UTC (rev 387678)
+++ PKGBUILD	2018-09-29 07:38:53 UTC (rev 387679)
@@ -1,55 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-zope-configuration
-pkgname=('python-zope-configuration' 'python2-zope-configuration')
-pkgver=4.1.0
-pkgrel=2
-pkgdesc="Zope Configuration Markup Language (ZCML)"
-arch=('any')
-url="https://github.com/zopefoundation/zope.configuration"
-license=('ZPL')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
-             'python2-zope-interface' 'python-zope-schema' 'python2-zope-schema'
-             'python-zope-i18nmessageid' 'python2-zope-i18nmessageid')
-checkdepends=('python-zope-testrunner' 'python2-zope-testrunner')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.configuration/archive/$pkgver.tar.gz")
-sha512sums=('fb882684a3fffa28bbce822c4bf8fc0c69b2a7dc7582743f466dd94a575564296d3c5710412ccd8e4ece736850bbe2be4965728b891133a93bf551726e685ac0')
-
-prepare() {
-  cp -a zope.configuration-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/zope.configuration-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/zope.configuration-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/zope.configuration-$pkgver
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
-
-  cd "$srcdir"/zope.configuration-$pkgver-py2
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
-}
-
-package_python-zope-configuration() {
-  depends=('python-setuptools' 'python-zope-interface' 'python-zope-schema'
-           'python-zope-i18nmessageid')
-
-  cd "$srcdir"/zope.configuration-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-zope-configuration() {
-  depends=('python2-setuptools' 'python2-zope-interface' 'python2-zope-schema'
-           'python2-zope-i18nmessageid')
-
-  cd "$srcdir"/zope.configuration-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-zope-configuration/repos/community-any/PKGBUILD (from rev 387678, python-zope-configuration/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-09-29 07:38:53 UTC (rev 387679)
@@ -0,0 +1,55 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-configuration
+pkgname=('python-zope-configuration' 'python2-zope-configuration')
+pkgver=4.2.2
+pkgrel=1
+pkgdesc="Zope Configuration Markup Language (ZCML)"
+arch=('any')
+url="https://github.com/zopefoundation/zope.configuration"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+             'python2-zope-interface' 'python-zope-schema' 'python2-zope-schema'
+             'python-zope-i18nmessageid' 'python2-zope-i18nmessageid')
+checkdepends=('python-manuel' 'python2-manuel' 'python-zope-testing' 'python2-zope-testing'
+              'python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.configuration/archive/$pkgver.tar.gz")
+sha512sums=('a54bf7b4a67e2a77ae53afdcf437f6efb2851a6cb28235f22f60027c45dc7223eba263cc46ebee392d50fdf5d5f1b899e2874467224508817368fc69e2dd0af2')
+
+prepare() {
+  cp -a zope.configuration-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/zope.configuration-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/zope.configuration-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/zope.configuration-$pkgver
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
+
+  cd "$srcdir"/zope.configuration-$pkgver-py2
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
+}
+
+package_python-zope-configuration() {
+  depends=('python-setuptools' 'python-zope-interface' 'python-zope-schema'
+           'python-zope-i18nmessageid')
+
+  cd "$srcdir"/zope.configuration-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-configuration() {
+  depends=('python2-setuptools' 'python2-zope-interface' 'python2-zope-schema'
+           'python2-zope-i18nmessageid')
+
+  cd "$srcdir"/zope.configuration-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list